Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be unavailable on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1813867 (CVE-2020-11653) - CVE-2020-11653 varnish: remote clients may cause Varnish to assert and restart which could result in DoS
Summary: CVE-2020-11653 varnish: remote clients may cause Varnish to assert and restar...
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2020-11653
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1813869 1813870 1819936 1819937 1820205
Blocks: 1813873
TreeView+ depends on / blocked
 
Reported: 2020-03-16 10:45 UTC by Michael Kaplan
Modified: 2021-02-16 20:28 UTC (History)
4 users (show)

Fixed In Version: varnish 6.2.3, varnish 6.3.2
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-11-04 02:24:46 UTC


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2020:4756 0 None None None 2020-11-04 03:38:42 UTC

Description Michael Kaplan 2020-03-16 10:45:20 UTC
An assert can be triggered in Varnish Cache when using Varnish with a TLS termination proxy, and the proxy and Varnish use the PROXY version 2. The assert will cause Varnish to restart, and the cache will be empty after the restart.

Upstream Reference:

https://varnish-cache.org/security/VSV00005.html#vsv00005

Comment 1 Michael Kaplan 2020-03-16 11:00:13 UTC
Created varnish tracking bugs for this issue:

Affects: epel-all [bug 1813870]
Affects: fedora-all [bug 1813869]

Comment 2 Ingvar Hagelund 2020-03-16 13:53:40 UTC
This was fixed in fedora 32 on 2020-02-10. Unfortunately, I forgot to make updates for f31 and f30. 

I have generated FEDORA-2020-872ec29251 (f30) and FEDORA-2020-71ca06dd55 (f31) now. Please test and leave karma.

https://bodhi.fedoraproject.org/updates/FEDORA-2020-872ec29251
https://bodhi.fedoraproject.org/updates/FEDORA-2020-71ca06dd55


Ingvar

Comment 3 Joe Orton 2020-03-16 14:48:47 UTC
Ingvar, thanks for pushing updates.

FYI - the state for the "Security Response" vulnerability tracker bugs should be left to be managed by the security team.

Comment 4 Marco Benatto 2020-04-01 20:55:49 UTC
Upstream commit for this issue:
https://github.com/varnishcache/varnish-cache/commit/2d8fc1a784a1e26d78c30174923a2b14ee2ebf62

Comment 7 Marco Benatto 2020-04-01 21:08:19 UTC
External References:

https://varnish-cache.org/security/VSV00005.html#vsv00005

Comment 11 Marco Benatto 2020-04-08 12:25:20 UTC
Mitigation:

An user can mitigate the problem by setting the proxy protocol to version 1 on the TLS Proxy side, as this flaw only affects the proxy protocol version 2.

Comment 13 Product Security DevOps Team 2020-11-04 02:24:46 UTC
This bug is now closed. Further updates for individual products will be reflected on the CVE page(s):

https://access.redhat.com/security/cve/cve-2020-11653

Comment 14 errata-xmlrpc 2020-11-04 03:38:41 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8

Via RHSA-2020:4756 https://access.redhat.com/errata/RHSA-2020:4756


Note You need to log in before you can comment on or make changes to this bug.